[tool.poetry]
name = "galaxycogs"
version = "0.1.0"
description = "Custom cogs/cog modifications intended for the Galaxy discord server."
authors = ["Galaxy Discord Management Team"]
license = "MPL 2"
readme = "README.md"

[tool.poetry.dependencies]
python = ">=3.9,<3.12"
Red-DiscordBot = "^3.5.5"
pytimeparse2 = "^1.7.1"
prisma = "^0.10.0"
mysql-connector-python = "^8.1.0"
humanize = "^4.8.0"
pytube = "^15.0.0"

[tool.poetry.group.dev]
optional = true

[tool.poetry.group.dev.dependencies]
pylint = "^2.17.5"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
